/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core.api;

import de.srsoftware.umbrella.core.exceptions.UmbrellaException;
import de.srsoftware.umbrella.core.model.Company;
import de.srsoftware.umbrella.core.model.UmbrellaUser;
import java.util.Collection;
import java.util.Map;

public interface CompanyService {
	Company get(long companyId) throws UmbrellaException;

	Collection<UmbrellaUser> getMembers(long companyId) throws UmbrellaException;

	Map<Long,Company> listCompaniesOf(UmbrellaUser user) throws UmbrellaException;

	boolean membership(long companyId, long userId) throws UmbrellaException;

	void saveNewCustomer(long companyId, String id);
}
